<?php

namespace App\Entities;

abstract class BaseHierarchyEntity extends BaseEntity
{
    final public function getHierarchy_No()
    {
        return $this->attributes['grpno'];
    }
    final public function getHierarchy_Order()
    {
        return $this->attributes['grporder'];
    }
    final public function getHierarchy_Depth()
    {
        return $this->attributes['grpdepth'];
    }
    final public function getHierarchy_ParentUID()
    {
        return $this->attributes['parent_uid'];
    }
}
